package cn.yw.machinemanage.bean;

import cn.base.bean.BaseBean;
//[运维服务器信息表]

public class YwmachineinfoBean extends BaseBean implements java.io.Serializable {
	private String machineid;//[机器id]
	private String machinenum;//[机器编号]
	private String machinename;//[机器名称]
	private String machinetype;//[机器类型]
	private String machinebrand;//[机器品牌]
	private String machinebrandtype;//[机器型号]
	private String machineos;//[机器操作系统]
	private String machineostype;//[机器系统类型]
	private String machineip;//[机器ip]
	private String networkport;//[网管端口]
	private String machineloginuser;//[机器账号]
	private String machineloginpwd;//[机器密码]
	private String machineposition;//[机器所在位置]
	private String machineareanum;//[所在区域编号]
	private String machinedescribe;//[机器描述]
	private int machineruninterval;//[机器状态上报间隔时间]
	private int machinestatus;//[机器状态]
	private String machinestatusuptime;//[机器状态上报时间]
	private String machinefaulttype;//[机器故障类型]
	private int detectionswitch;//[检测开关]
	private String detectionstarttime;//[检测开始时间]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setMachineid(String machineid){
		this.machineid = machineid;
	}
	public String getMachineid(){
		return machineid;
	}
	public void setMachinenum(String machinenum){
		this.machinenum = machinenum;
	}
	public String getMachinenum(){
		return machinenum;
	}
	public void setMachinename(String machinename){
		this.machinename = machinename;
	}
	public String getMachinename(){
		return machinename;
	}
	public void setMachinetype(String machinetype){
		this.machinetype = machinetype;
	}
	public String getMachinetype(){
		return machinetype;
	}
	public void setMachinebrand(String machinebrand){
		this.machinebrand = machinebrand;
	}
	public String getMachinebrand(){
		return machinebrand;
	}
	public void setMachinebrandtype(String machinebrandtype){
		this.machinebrandtype = machinebrandtype;
	}
	public String getMachinebrandtype(){
		return machinebrandtype;
	}
	public void setMachineos(String machineos){
		this.machineos = machineos;
	}
	public String getMachineos(){
		return machineos;
	}
	public void setMachineostype(String machineostype){
		this.machineostype = machineostype;
	}
	public String getMachineostype(){
		return machineostype;
	}
	public void setMachineip(String machineip){
		this.machineip = machineip;
	}
	public String getMachineip(){
		return machineip;
	}
	public void setNetworkport(String networkport){
		this.networkport = networkport;
	}
	public String getNetworkport(){
		return networkport;
	}
	public void setMachineloginuser(String machineloginuser){
		this.machineloginuser = machineloginuser;
	}
	public String getMachineloginuser(){
		return machineloginuser;
	}
	public void setMachineloginpwd(String machineloginpwd){
		this.machineloginpwd = machineloginpwd;
	}
	public String getMachineloginpwd(){
		return machineloginpwd;
	}
	public void setMachineposition(String machineposition){
		this.machineposition = machineposition;
	}
	public String getMachineposition(){
		return machineposition;
	}
	public void setMachineareanum(String machineareanum){
		this.machineareanum = machineareanum;
	}
	public String getMachineareanum(){
		return machineareanum;
	}
	public void setMachinedescribe(String machinedescribe){
		this.machinedescribe = machinedescribe;
	}
	public String getMachinedescribe(){
		return machinedescribe;
	}
	public void setMachineruninterval(int machineruninterval){
		this.machineruninterval = machineruninterval;
	}
	public int getMachineruninterval(){
		return machineruninterval;
	}
	public void setMachinestatus(int machinestatus){
		this.machinestatus = machinestatus;
	}
	public int getMachinestatus(){
		return machinestatus;
	}
	public void setMachinestatusuptime(String machinestatusuptime){
		this.machinestatusuptime = machinestatusuptime;
	}
	public String getMachinestatusuptime(){
		return machinestatusuptime;
	}
	public void setMachinefaulttype(String machinefaulttype){
		this.machinefaulttype = machinefaulttype;
	}
	public String getMachinefaulttype(){
		return machinefaulttype;
	}
	public void setDetectionswitch(int detectionswitch){
		this.detectionswitch = detectionswitch;
	}
	public int getDetectionswitch(){
		return detectionswitch;
	}
	public void setDetectionstarttime(String detectionstarttime){
		this.detectionstarttime = detectionstarttime;
	}
	public String getDetectionstarttime(){
		return detectionstarttime;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}